.cm-fat-cursor .CodeMirror-line::selection,
    .cm-fat-cursor .CodeMirror-line>span::selection,
    .cm-fat-cursor .CodeMirror-line>span>span::selection {
        background: transparent
    }

    .cm-fat-cursor .CodeMirror-line::-moz-selection,
    .cm-fat-cursor .CodeMirror-line>span::-moz-selection,
    .cm-fat-cursor .CodeMirror-line>span>span::-moz-selection {
        background: transparent
    }

    @-moz-keyframes blink {
        50% {
            background-color: transparent
        }
    }

    @-webkit-keyframes blink {
        50% {
            background-color: transparent
        }
    }

    @keyframes blink {
        50% {
            background-color: transparent
        }
    }

    .CodeMirror-gutter-wrapper ::selection {
        background-color: transparent
    }

    .CodeMirror-gutter-wrapper ::-moz-selection {
        background-color: transparent
    }

    .CodeMirror-line::selection,
    .CodeMirror-line>span::selection,
    .CodeMirror-line>span>span::selection {
        background: #d7d4f0
    }

    .CodeMirror-line::-moz-selection,
    .CodeMirror-line>span::-moz-selection,
    .CodeMirror-line>span>span::-moz-selection {
        background: #d7d4f0
    }

    .cm-tab-wrap-hack:after {
        content: ""
    }